CRAN Package Check Results for Package MiscMetabar

Last updated on 2024-04-18 06:09:52 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.7.10 62.15 805.63 867.78 OK
r-devel-linux-x86_64-debian-gcc 0.7.10 51.65 601.88 653.53 OK
r-devel-linux-x86_64-fedora-clang 0.7.10 1183.23 OK
r-devel-linux-x86_64-fedora-gcc 0.7.10 1094.02 OK
r-prerel-macos-arm64 0.7.10 286.00 NOTE
r-prerel-macos-x86_64 0.7.10 790.00 ERROR
r-prerel-windows-x86_64 0.7.10 52.00 588.00 640.00 OK
r-patched-linux-x86_64 0.7.10 50.26 765.81 816.07 OK
r-release-linux-x86_64 0.7.10 42.60 790.07 832.67 OK
r-release-macos-arm64 0.7.10 9.00 ERROR
r-release-macos-x86_64 0.7.10 6.00 ERROR
r-release-windows-x86_64 0.7.10 75.00 792.00 867.00 OK
r-oldrel-macos-arm64 0.7.10 10.00 ERROR
r-oldrel-windows-x86_64 0.7.10 73.00 705.00 778.00 OK

Check Details

Version: 0.7.10
Check: package dependencies
Result: NOTE Packages suggested but not available for checking: 'ANCOMBC', 'mia' Flavors: r-prerel-macos-arm64, r-prerel-macos-x86_64

Version: 0.7.10
Check: Rd cross-references
Result: NOTE Package unavailable to check Rd xrefs: ‘ANCOMBC’ Flavors: r-prerel-macos-arm64, r-prerel-macos-x86_64

Version: 0.7.10
Check: examples
Result: ERROR Running examples in ‘MiscMetabar-Ex.R’ failed The error most likely occurred in: > ### Name: upset_pq > ### Title: Make upset plot for phyloseq object. > ### Aliases: upset_pq > > ### ** Examples > > > upset_pq(data_fungi_mini, + fact = "Height", width_ratio = 0.2, + taxa_fill = "Class" + ) Cleaning suppress 0 taxa ( ) and 0 sample(s) ( ). Number of non-matching ASV 0 Number of matching ASV 45 Number of filtered-out ASV 0 Number of kept ASV 45 Number of kept samples 137 Error in `plot_theme()`: ! The `legend.text.align` theme element is not defined in the element hierarchy. Backtrace: ▆ 1. ├─base (local) `<fn>`(x) 2. └─patchwork:::print.patchwork(x) 3. └─patchwork:::build_patchwork(plot, plot$layout$guides %||% "auto") 4. └─base::lapply(x$plots, plot_table, guides = guides) 5. ├─patchwork (local) FUN(X[[i]], ...) 6. └─patchwork:::plot_table.ggplot(X[[i]], ...) 7. └─ggplot2::ggplotGrob(x) 8. ├─ggplot2::ggplot_gtable(ggplot_build(x)) 9. └─ggplot2:::ggplot_gtable.ggplot_built(ggplot_build(x)) 10. └─ggplot2:::plot_theme(plot) 11. └─ggplot2:::validate_theme(theme) 12. └─base::mapply(...) 13. └─ggplot2 (local) `<fn>`(...) 14. └─cli::cli_abort(...) 15. └─rlang::abort(...) Execution halted Flavor: r-prerel-macos-x86_64

Version: 0.7.10
Check: re-building of vignette outputs
Result: ERROR Error(s) in re-building vignettes: ... --- re-building ‘MiscMetabar.Rmd’ using rmarkdown 2024-04-07 12:34:57.153 R[65603:2229054901] XType: Using static font registry. Quitting from lines at lines 68-69 [unnamed-chunk-4] (MiscMetabar.Rmd) Error: processing vignette 'MiscMetabar.Rmd' failed with diagnostics: The `legend.text.align` theme element is not defined in the element hierarchy. --- failed re-building ‘MiscMetabar.Rmd’ SUMMARY: processing the following file failed: ‘MiscMetabar.Rmd’ Error: Vignette re-building failed. Execution halted Flavor: r-prerel-macos-x86_64

Version: 0.7.10
Check: package dependencies
Result: ERROR Packages required but not available: 'phyloseq', 'dada2' Packages suggested but not available for checking: 'ANCOMBC', 'mia', 'phyloseqGraphTest' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavors: r-release-macos-arm64, r-release-macos-x86_64

Version: 0.7.10
Check: package dependencies
Result: ERROR Package required but not available: ‘dada2’ Packages suggested but not available for checking: 'ANCOMBC', 'mia' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-oldrel-macos-arm64